---
title: Git Repository Management
description: Git Repository Management (DevOps) Module User Documentation for Centurion ERP by No Fuss Computing
date: 2025-03-20
template: project.html
about: https://github.com/nofusscomputing/centurion_erp
---

Git Repository Management provides a single location to manage the lifecycle of your GIT repositories on both GitHub and GitLab.


## Fields

- `provider` - The Git Provider.

- `provider_id` - The Git Providers ID/Primary Key (PK).

- [`git_group`](./git_group.md) - The Git Group / Organization for the repository.

- `path` - The path of this repository.

- `name` - Friendly Name for this Repository.

- `description` Description for this repository.
